<template>
 <div >
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
               <th>{{$t('global.no')}}</th>
               <th>{{$t('end_item.code')}}</th>
               <th>{{$t('purchase.end_item_detail')}}</th>
               <th>{{$t('global.directorate')}}</th>
               <th>{{$t('global.department')}}</th>
               <th>{{$t('allotment.assigned_to')}}</th>
               <th>{{$t('global.opreation')}}</th>
               <th></th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.inward.end_item_details.item_details_code}}</td>
                <td>{{item.inward.end_item_details.end_item_details_dr}}</td>
                <td>ریاست تکنالوژی معلوماتی</td>
                <td>آمریت سیستم های معلوماتی</td>
                <td>جمال الدین</td>
                <td>
                    <router-link :to="'/items/allotment/view/'+item.id">
                        <i class="fa fa-eye"></i>
                    </router-link>
                    <router-link :to="'/items/inward/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
                <td>
                  تايئد نشده
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'PurchaseIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/allotment'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
